{% extends 'profile/ppbd/layouts/admin/admin_layout.html' %}
{% load static %}
{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:adm_ppdb_index' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Setting Informasi</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    
    <div class="card mb-5 shadow">
        <h5 class="card-header">Setting Informasi Website PPDB</h5>
        <div class="card-body">
            {% include 'profile/ppbd/layouts/admin/setting/form.html' %}
        </div>
    </div>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %} 
<script>
    $(document).ready(function() {
        $('.confirm-form').on('click', function(e) {
            e.preventDefault();
            let form = $(this).parents('form');
            Swal.fire({
                title: "Ubah Data",
                text: "Apakah anda yakin ingin mengubah data ini?",
                type: "warning",
                showCancelButton: true,
                confirmButtonText: "Ya",
                closeOnConfirm: false
            }).then((result) => {
                if (result.isConfirmed) {
                    form.submit();
                }
            });
        });
    });
</script>
{% endblock scripts_bawah %}